# Adding Ports to a LAG To authenticate submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call OAuth API to validate and authenticate your credentials. To add physical ports to a virtual port, send a `POST` request to the [`/fabric/v4/ports/{uuid}/physicalPorts/bulk`](https://docs.equinix.com/api-catalog/fabricv4/ports/addtolag.md) endpoint. | | | | ---------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | Method | `POST` | | URL or Endpoint | `/fabric/v4/ports/{uuid}/physicalPorts/bulk` | | Headers | `Authorization`, `Content-Type` | | Path Parameters | `uuid` | | Query Parameters | Not applicable | | Body Parameters | `type`, `state`, `account`, `interfaceSpeed`, `bandwidth`, `interfaceType`, `uuid`, `tether`, `demarcationPoint`, `settings`, `interface`, `notifications`, `additionalInfo`, `order`, `operation`, `loas` | Sample cURL Request: ``` curl -X POST 'https://api.equinix.com/fabric/v4/ports/c64de7e5-7fe7-41e6-b984-80d5aa159a0d/physicalPorts/bulk' -H 'Content-Type: application/json' -H 'Authorization: Bearer ' -d '{ "data": [ { "type": "XF_PHYSICAL_PORT", "demarcationPoint": { "ibx": "AM1", "cabinetUniqueSpaceId": "AM1:02:032575:0105", "cageUniqueSpaceId": "AM1:02:032575", "patchPanel": "PP:0105:1260379", "patchPanelPortA": 14, "patchPanelPortB": 15, "connectorType": "LC" }, "account": { "accountNumber": 17829 }, "order": { "purchaseOrder": { "number": 156576, "amount": 10, "startDate": "2018-06-11T22:25:52.206Z", "endDate": "2018-07-11T22:25:52.206Z", "type": "NEW" }, "signature": { "signatory": "DELEGATE", "delegate": { "firstName": "John", "lastName": "Doe", "email": "john.doe@company.com" } } }, "notifications": [ { "registeredUsers": [ "jaguarsuser-port-order" ], "type": "NOTIFICATION" } ] }, { "type": "XF_PHYSICAL_PORT", "account": { "accountNumber": 17829 }, "demarcationPoint": { "ibx": "AM1", "cabinetUniqueSpaceId": "AM1:02:032575:0105", "cageUniqueSpaceId": "AM1:02:032575", "patchPanel": "PP:0105:1260379", "patchPanelPortA": 16, "patchPanelPortB": 17, "connectorType": "LC" }, "order": { "purchaseOrder": { "number": 156576, "amount": 10, "startDate": "2018-06-11T22:25:52.206Z", "endDate": "2018-07-11T22:25:52.206Z", "type": "NEW" }, "signature": { "signatory": "DELEGATE", "delegate": { "firstName": "John", "lastName": "Doe", "email": "john.doe@company.com" } } }, "notifications": [ { "registeredUsers": [ "jaguarsuser-port-order" ], "type": "NOTIFICATION" } ] } ] }' ``` Sample Response: ``` { "data": [ { "type": "XF_PHYSICAL_PORT", "demarcationPoint": { "cabinetUniqueSpaceId": "Demarc", "cageUniqueSpaceId": "GV1:01:002174", "patchPanel": "CP:Demarc:1259684", "patchPanelPortA": "39", "patchPanelPortB": "40", "connectorType": "SC", "ibx": "GV1" }, "order": { "orderNumber": "1-210210611904", "uuid": "bdfa360d-8ffb-4394-8905-56ea6ae3e87d" }, "notifications": [ { "type": "NOTIFICATION", "registeredUsers": [ "jaguarsuser-port-order" ] } ] }, { "type": "XF_PHYSICAL_PORT", "demarcationPoint": { "cabinetUniqueSpaceId": "Demarc", "cageUniqueSpaceId": "GV1:01:002174", "patchPanel": "CP:Demarc:1259684", "patchPanelPortA": "41", "patchPanelPortB": "42", "connectorType": "SC", "ibx": "GV1" }, "order": { "orderNumber": "1-210210611904", "uuid": "bdfa360d-8ffb-4394-8905-56ea6ae3e87d" }, "notifications": [ { "type": "NOTIFICATION", "registeredUsers": [ "jaguarsuser-port-order" ] } ] } ] } ``` For a detailed description of the response, see the [API Reference](https://docs.equinix.com/api-catalog/fabricv4/ports/addtolag.md).